org.apache.commons.codec.language.bm

## Class Languages

- java.lang.Object
- - org.apache.commons.codec.language.bm.Languages

-     public class Languages
      extends Object

  Language codes.

  Language codes are typically loaded from resource files. These are UTF-8 encoded text files. They are systematically named following the pattern:

  > org/apache/commons/codec/language/bm/${`NameType.getName()` languages.txt

  The format of these resources is the following:

  - Language: a single string containing no whitespace
  - End-of-line comments: Any occurrence of '//' will cause all text following on that line to be discarded as a comment.
  - Multi-line comments: Any line starting with '/*' will start multi-line commenting mode. This will skip all content until a line ending in '*' and '/' is found.
  - Blank lines: All blank lines will be skipped.

  Ported from language.php

  This class is immutable and thread-safe.

  Since:
    1.6
  Version:
    $Id: Languages.java 1694610 2015-08-07 03:47:38Z ggregory $

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Languages.LanguageSet` A set of languages.
    `static class` | `Languages.SomeLanguages` Some languages, explicitly enumerated.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ANY`
    `static Languages.LanguageSet` | `ANY_LANGUAGE` Any/all languages.
    `static Languages.LanguageSet` | `NO_LANGUAGES` No languages at all.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Languages` | `getInstance(NameType nameType)`
    `static Languages` | `getInstance(String languagesResourceName)`
    `Set<String>` | `getLanguages()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ANY

          public static final String ANY

      See Also:
        Constant Field Values

    - #### NO_LANGUAGES

          public static final Languages.LanguageSet NO_LANGUAGES

      No languages at all.

    - #### ANY_LANGUAGE

          public static final Languages.LanguageSet ANY_LANGUAGE

      Any/all languages.

  - ### Method Detail

    - #### getInstance

          public static Languages getInstance(NameType nameType)

    - #### getInstance

          public static Languages getInstance(String languagesResourceName)

    - #### getLanguages

          public Set<String> getLanguages()

Copyright © 2002–2017 The Apache Software Foundation. All rights reserved.